summaryrefslogtreecommitdiff
path: root/tests/cond9.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1999-04-27 15:52:46 +0000
committerTom Tromey <tromey@redhat.com>1999-04-27 15:52:46 +0000
commit57ff67b159902934c8903d0259eb7df92d05a22a (patch)
treea09e1f0a6c4ceca8d4fdd53fb8d7ebd2761b1315 /tests/cond9.test
parent991def1a5a07ca88c0dafdeffc5eea398c366b67 (diff)
downloadautomake-57ff67b159902934c8903d0259eb7df92d05a22a.tar.gz
* cond9.test: New file. From Raja R Harinath.
* Makefile.am (TESTS): Added cond9.test.
Diffstat (limited to 'tests/cond9.test')
-rwxr-xr-xtests/cond9.test31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/cond9.test b/tests/cond9.test
new file mode 100755
index 000000000..504323cbd
--- /dev/null
+++ b/tests/cond9.test
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+# Test for bug in conditionals. From Raja R Harinath.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(Makefile.am)
+AM_INIT_AUTOMAKE(foo,0.0)
+AM_CONDITIONAL(FALSE, [test x = y])
+AC_OUTPUT(Makefile)
+END
+
+cat > Makefile.am << 'END'
+if FALSE
+this=
+else
+this=is_something_interesting
+endif
+
+echo-something:
+ echo '$(this)'
+END
+
+(autoconf --version) > /dev/null 2>&1 || exit 77
+
+$ACLOCAL \
+ && autoconf \
+ && $AUTOMAKE -a \
+ && ./configure \
+ && $MAKE echo-something | grep interesting > /dev/null